📡 You're offline — showing cached content
New version available!
Quick Access
Tutorials API Design API Documentation

API Documentation

5 min read Quiz at the end
Write OpenAPI 3.0 specs to auto-generate Swagger UI, client SDKs, and server-side validation.

OpenAPI Documentation

# OpenAPI 3.0 spec
openapi: "3.0.0"
info:
  title: EzyCoders API
  version: "1.0.0"

paths:
  /api/users:
    get:
      summary: List users
      parameters:
        - name: page
          in: query
          schema: {type: integer, default: 1}
      responses:
        200:
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/UserList"

# FastAPI auto-generates from type hints
# GET /docs   -- Swagger UI
# GET /redoc  -- ReDoc